/*
	commfunc.h
*/

EXTERN int rnsf7RegRead( const char *entry, int def );
EXTERN int rnsf7RegWrite( const char *entry, int value );
EXTERN HWND makeToolTip( HWND hWndParent, const struct DEFTOOLTIP *dtt );
EXTERN BOOL runProgram(HWND hWnd, const char *lpCommandLine);
EXTERN UINT runProgram_sync(char *lpCommandLine);

EXTERN int dispErrorMessage(HWND hWnd, UINT uType, const char *errTitle, const char *err1, const char *err2, const char *err3, const char *err4, const char *err5, const char *err6);

#define WriteRkv(szEntryName, iDefValue) rnsf7RegWrite(szEntryName, iDefValue)
#define ReadRkv(szEntryName, iValue)     rnsf7RegRead(szEntryName, iValue)
